textures/be_all/be_fog_water
{
	qer_editorimage textures/sfx/fog.tga
        qer_trans 0.3
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture
	q3map_surfacelight 0
	fogparms ( .10 .17 .10 ) 512	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendFunc gl_dst_color gl_zero 
		tcmod scale .4 .3
		tcmod scroll .0075 -.0025
		rgbgen identity 

	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.12 .2
		rgbgen identity
	}
}
textures/be_all/be_water
{
	nocompress
	qer_editorimage textures/be_all/be_water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tesssize 128
	cull disable
	// deformVertexes wave 160 sin 0 10 0 .3	// the chop
	


	{ 
	// fog on
		map textures/be_all/lake_1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		tcmod scale .4 .3
		tcmod scroll .0075 -.0025
		tcmod turd 10 1 0 5
		tcmod stretch sin 1 .005 0 .06
	}
	
	{ 
		// fog on
		map textures/be_all/water_1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity		
		tcmod scale -.12 .2
		tcmod scroll .005 .005
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


textures/be_all/be_allsky
{
	qer_editorimage textures/be_all/fogvolume.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight 
	q3map_globaltexture
	q3map_lightsubdivide 1024 
	q3map_sun	0.71 0.77 0.72 150 190 75
	q3map_surfacelight 200
	 fogvars ( .714 .776 .596 ) 5000
	
		
	skyparms textures/be_all/befog - -
	
	
}

textures/be_all/terrain_0
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/cp_terrain/cp_dirt1.tga
		rgbGen vertex
		tcmod scale 0.100 0.100
	}
}

textures/be_all/terrain_1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/terrain/dirt_02.jpg
		rgbGen vertex
		tcmod scale 0.100 0.100
	}
}

textures/be_all/terrain_2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/terrain/cliff_m05.jpg
		rgbGen vertex
		tcmod scale 0.100 0.100
	}
}

textures/be_all/terrain_0to1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/cp_terrain/cp_dirt1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.100 0.100
	}
	{
		map textures/terrain/dirt_02.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.100 0.100
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/be_all/terrain_0to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/cp_terrain/cp_dirt1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.100 0.100
	}
	{
		map textures/terrain/cliff_m05.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.100 0.100
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/be_all/terrain_1to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/terrain/dirt_02.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.100 0.100
	}
	{
		map textures/terrain/cliff_m05.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.100 0.100
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/be_all/terrain.vertex
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/cp_terrain/cp_dirt1.tga
		rgbGen vertex
		tcmod scale 0.100 0.100
	}
}

textures/be_all/c_pole
{
 
    	qer_trans 0.9
	qer_editorimage textures/metal_misc/ametal_m01.jpg
	q3map_patchshadows
    	surfaceparm metalsteps
   	surfaceparm ladder

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/metal_misc/ametal_m01.jpg

		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

